///////////////////////////////////////////////////////////////////////////
//                                                                       //
// NOTICE OF COPYRIGHT                                                   //
//                                                                       //
// Copyright (C) 2012    Andrés Mateus Vargas  <amvargash@gmail.com>     //            
//                                                                       //
// This program is free software; you can redistribute it and/or modify  //
// it under the terms of the GNU General Public License as published by  //
// the Free Software Foundation; either version 2 of the License, or     //
// (at your option) any later version.                                   //
//                                                                       //
// This program is distributed in the hope that it will be useful,       //
// but WITHOUT ANY WARRANTY; without even the implied warranty of        //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         //
// GNU General Public License for more details:                          //
//                                                                       //
//          http://www.gnu.org/copyleft/gpl.html                         //
//                                                                       //
///////////////////////////////////////////////////////////////////////////

{

 
  //**Lienzo**//
  c1 = new TCanvas();
  c1->SetWindowSize(500,500);
  c1->Range(-10,-10,10,10);

  //**Sistema Coordenado**//
  EX = new TGaxis(-10,0,10,0,-10,10);
  EX->Draw();
  EY = new TGaxis(0,-10,0,10,-10,10);
  EY->Draw();
  
  TVector2 R1,R2,R3;

  //**Vector R1**//
  R1 = TVector2(1,5);
  
  //** Componentes **//
  L1R1 = new TLine(R1.X(),0,R1.X(),R1.Y());
  L1R1->SetLineStyle(kDotted);
  L1R1->Draw();
  L2R1 = new TLine(0,R1.Y(),R1.X(),R1.Y());
  L2R1->SetLineStyle(kDotted);
  L2R1->Draw();

  //**Vector R2**//
  R2 = TVector2(-4,-3);
  L1R2 = new TLine(R2.X(),0,R2.X(),R2.Y());
  L1R2->SetLineStyle(kDotted);
  L1R2->Draw();
  L2R2 = new TLine(0,R2.Y(),R2.X(),R2.Y());
  L2R2->SetLineStyle(kDotted);
  L2R2->Draw();

  //**Adición de Vectores**//
  R3 = R1+R2; 
  //*Componentes**//
  L1R3 = new TLine(R3.X(),0,R3.X(),R3.Y());
  L1R3->SetLineStyle(kDotted);
  L1R3->Draw();
  L2R3 = new TLine(0,R3.Y(),R3.X(),R3.Y());
  L2R3->SetLineStyle(kDotted);
  L2R3->Draw();

  //**Representación Gráfica de los Vectores**//
  A1 = new TArrow(0,0,R1.X(),R1.Y());
  A1->SetLineColor(1);
  A2 = new TArrow(0,0,R2.X(),R2.Y());
  A2->SetLineColor(2);
  A3 = new TArrow(0,0,R3.X(),R3.Y());
  A3->SetLineColor(3);

  A1->Draw();
  A2->Draw();
  A3->Draw();
}
